Package org.eclipse.emf.spi.cdo

# Class InternalCDOSession.CommitToken

java.lang.Object
org.eclipse.emf.spi.cdo.InternalCDOSession.CommitToken

Enclosing interface:
  `InternalCDOSession`

public static final class InternalCDOSession.CommitToken extends Object
A token that is maintained during local commits of transactions.

Since:
  4.5
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`CommitToken(int commitNumber, String threadName)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`getCommitNumber()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CommitToken

public CommitToken(int commitNumber, String threadName)

## Method Details

### getCommitNumber

public int getCommitNumber()

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`